Loading...
Searching...
No Matches
pcl::poisson::TreeNodeData Class Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Public Member Functions

| TreeNodeData (void)
| ~TreeNodeData (void)

## Public Attributes

int | nodeIndex
union { |
int mcIndex |
struct { |
Real centerWeightContribution |
int normalIndex |
} |  |
}; |  |
Real | constraint
Real | solution
int | pointIndex

## Static Public Attributes

static int | UseIndex =1

## Detailed Description

Definition at line 173 of file multi_grid_octree_data.h.

## Constructor & Destructor Documentation

## TreeNodeData()

pcl::poisson::TreeNodeData::TreeNodeData | ( | void |  | ) |

Definition at line 497 of file multi_grid_octree_data.hpp.

## ~TreeNodeData()

pcl::poisson::TreeNodeData::~TreeNodeData | ( | void |  | ) |

Definition at line 509 of file multi_grid_octree_data.hpp.

## Member Data Documentation

## [union]

union { ... } pcl::poisson::TreeNodeData

## centerWeightContribution

Real pcl::poisson::TreeNodeData::centerWeightContribution

Definition at line 183 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), and pcl::poisson::Octree< Degree >::SetLaplacianConstraints().

## constraint

Real pcl::poisson::TreeNodeData::constraint

Definition at line 187 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::SetLaplacianConstraints().

## mcIndex

int pcl::poisson::TreeNodeData::mcIndex

Definition at line 180 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles().

## nodeIndex

int pcl::poisson::TreeNodeData::nodeIndex

Definition at line 177 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices(), pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices(), pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices(), pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices(), pcl::poisson::SortedTreeNodes::CornerTableData::operator[](), pcl::poisson::SortedTreeNodes::EdgeTableData::operator[](), pcl::poisson::SortedTreeNodes::CornerTableData::operator[](), pcl::poisson::SortedTreeNodes::EdgeTableData::operator[](), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::SortedTreeNodes::setEdgeTable(), and pcl::poisson::Octree< Degree >::SetLaplacianConstraints().

## normalIndex

int pcl::poisson::TreeNodeData::normalIndex

Definition at line 184 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::SetLaplacianConstraints().

## pointIndex

int pcl::poisson::TreeNodeData::pointIndex

Definition at line 188 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::setTree().

## solution

Real pcl::poisson::TreeNodeData::solution

Definition at line 187 of file multi_grid_octree_data.h.

## UseIndex

int pcl::poisson::TreeNodeData::UseIndex =1

static

Definition at line 176 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::setTree().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp